Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005KickRecord Struct Reference

`#include <GT2005KickLogger.h>`

Collaboration diagram for GT2005KickRecord:

[legend]
List of all members.

## Public Attributes
Vector2< int > | before_ball_translation
Vector2< int > | before_robot_translation
int | before_robot_rotation
Vector2< int > | while_ball_translation
Vector3< int > | while_robot_speed
Vector2< int > | while_robot_translation
int | while_robot_rotation
Vector2< int > | while_ball_relative_translation
Vector2< int > | trigger_relative
Vector2< int > | after_robot_translation
int | after_robot_rotation
Vector2< int > | after_ball_translation
char | kick [32]
int | direction
int | distance
int | count

## Member Data Documentation

Vector2<int> GT2005KickRecord::before_ball_translation

| Definition at line 17 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit(), and KickLoggerSymbols::kickLoggerSetBeforeState().

Vector2<int> GT2005KickRecord::before_robot_translation

| Definition at line 18 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetBeforeState().

int GT2005KickRecord::before_robot_rotation

| Definition at line 19 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetBeforeState().

Vector2<int> GT2005KickRecord::while_ball_translation

| Definition at line 21 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetExecuteState().

Vector3<int> GT2005KickRecord::while_robot_speed

| Definition at line 22 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetExecuteState().

Vector2<int> GT2005KickRecord::while_robot_translation

| Definition at line 23 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetExecuteState().

int GT2005KickRecord::while_robot_rotation

| Definition at line 24 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit(), and KickLoggerSymbols::kickLoggerSetExecuteState().

Vector2<int> GT2005KickRecord::while_ball_relative_translation

| Definition at line 26 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetExecuteState().

Vector2<int> GT2005KickRecord::trigger_relative

| Definition at line 28 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::generateWalktoTarget().

Vector2<int> GT2005KickRecord::after_robot_translation

| Definition at line 30 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

int GT2005KickRecord::after_robot_rotation

| Definition at line 31 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

Vector2<int> GT2005KickRecord::after_ball_translation

| Definition at line 32 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

char GT2005KickRecord::kick[32]

| Definition at line 37 of file GT2005KickLogger.h.

int GT2005KickRecord::direction

| Definition at line 38 of file GT2005KickLogger.h. Referenced by GT2005KickLogger::addResult(), and KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

int GT2005KickRecord::distance

| Definition at line 39 of file GT2005KickLogger.h. Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

int GT2005KickRecord::count

| Definition at line 40 of file GT2005KickLogger.h. Referenced by GT2005KickLogger::addResult().

The documentation for this struct was generated from the following file:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005KickLogger/GT2005KickLogger.h